Page MenuHomePhabricator

ApiVisualEditor.php should not use deprecated ApiBase::dieUsage
Closed, ResolvedPublic1 Story Points

Description

During testing of CX,

2018-03-08 10:05:28 language-cx3 my_wiki: [e86a392605f6f59bf2a8a04a] /api.php   ErrorException from line 309 of /var/www/core/includes/debug/MWDebug.php: PHP Deprecated: Use of ApiBase::dieUsage was deprecated in MediaWiki 1.29. [Called from ApiVisualEditor::getVRSObject in /var/www/core/extensions/VisualEditor/includes/ApiVisualEditor.php at line 64]

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 12:50 PM

Change 417355 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] ApiVisualEditor: Replace use of ApiBase::dieUsage() with ::dieWithError()

https://gerrit.wikimedia.org/r/417355

Deskana renamed this task from ApiVisualEditor.php using deprecated ApiBase::dieUsage to ApiVisualEditor.php should not use deprecated ApiBase::dieUsage.Mar 13 2018, 11:29 AM
Deskana triaged this task as Normal priority.

Change 417355 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ApiVisualEditor: Replace use of ApiBase::dieUsage() with ::dieWithError()

https://gerrit.wikimedia.org/r/417355

Jayprakash12345 closed this task as Resolved.Mar 14 2018, 10:26 AM
Deskana set the point value for this task to 1.